Skip to Content
dzshipBY DZBUILD
Reference

Wilayas — the 58 couriers deliver to, or all 69 of the 2026 division

GET
/v1/wilayas

Query Parameters

code?integer
Range1 <= value <= 69
q?string
all?boolean

Include the wilayas created in 2026 that couriers do not accept yet

Response Body

A list, or a single wilaya when ?code= (or the bare ?16 shorthand) is used

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://freeship.dzbuild.com/v1/wilayas'
Example Response
[  {    "code": 0,    "nameFr": "string",    "nameAr": "string",    "isDeepSouth": true,    "communeCount": 0,    "courierSupported": true,    "shipAs": 0  }]